"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class TrialLocation(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_2 import reports as reports_6_7_1

        return {
            "org.gel.models.report.avro.TrialLocation": reports_6_7_1.TrialLocation,
        }

    __slots__ = [
        "city",
        "country",
        "name",
        "zip",
    ]

    def __init__(
        self,
        city=None,
        country=None,
        name=None,
        zip=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_7_1.TrialLocation model.

        :param city:
        :type city: None | str
        :param country:
        :type country: None | str
        :param name:
        :type name: None | str
        :param zip:
        :type zip: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.7.1"
